List Campaigns
curl --request GET \
--url https://api.example.com/api/v1/campaignsimport requests
url = "https://api.example.com/api/v1/campaigns"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"recipient_type": "<string>",
"total_recipients": 123,
"messages_sent": 123,
"messages_delivered": 123,
"messages_failed": 123,
"whatsapp_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"updated_at": "<string>",
"message_type": "text",
"recipient_contact_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"scheduled_for": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}campaigns
List Campaigns
List campaigns with optional status filter and pagination.
GET
/
api
/
v1
/
campaigns
List Campaigns
curl --request GET \
--url https://api.example.com/api/v1/campaignsimport requests
url = "https://api.example.com/api/v1/campaigns"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"recipient_type": "<string>",
"total_recipients": 123,
"messages_sent": 123,
"messages_delivered": 123,
"messages_failed": 123,
"whatsapp_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"updated_at": "<string>",
"message_type": "text",
"recipient_contact_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"scheduled_for": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0